<?php
/**
 * CustomersInfoApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * CRM
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CrmClient;

use \Ensi\CrmClient\Configuration;
use \Ensi\CrmClient\ApiException;
use \Ensi\CrmClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * CustomersInfoApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CustomersInfoApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createCustomerInfo
     *
     * Создание объекта типа CustomerInfo.
     *
     */
    public function testCreateCustomerInfo()
    {
    }

    /**
     * Test case for deleteCustomerInfo
     *
     * Удаление объекта типа CustomerInfo.
     *
     */
    public function testDeleteCustomerInfo()
    {
    }

    /**
     * Test case for getCustomerInfo
     *
     * Получение объекта типа CustomerInfo.
     *
     */
    public function testGetCustomerInfo()
    {
    }

    /**
     * Test case for patchCustomerInfo
     *
     * Обновления части полей объекта типа CustomerInfo.
     *
     */
    public function testPatchCustomerInfo()
    {
    }

    /**
     * Test case for searchCustomersInfo
     *
     * Поиск объектов типа CustomerInfo.
     *
     */
    public function testSearchCustomersInfo()
    {
    }
}
